Bug 169477 - SMP Kernel causes CPU process increase and system unresponsive
SMP Kernel causes CPU process increase and system unresponsive
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-28 13:34 EDT by Rich DiSilvestro
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rich DiSilvestro 2005-09-28 13:34:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
  Running Either Kernel with SMP above causes system to slow considerably a few minutes after login. This a Dual Pentium 3 machine ( 1.13 Ghz ), adaptec scsi interface, 512 MB memory and dual NIC interfaces. This is an FC4 release with KDE 3.4 desktop installed and is a new installation. System works fine with non SMP kernal and see no performance issues.
  Once running the SMP Kernel CPU usage climbs for a particular application. It is not unigue to a particular application that is started. After a few minutes of using the system CPU usage increases to 14, 15, 18 and so on for that application. You can not kill the process, tried with kill, kill -9. May be able to kill window with xkill but process remains.
  Further problems mount as the KDE desktop functionality deteriorates with icons and menus not respondind. Unable to log out from session and power down without turning power off from power switch. 
   Kernel 2.6.12-1.1456 SMP seemed to last a little longer before this occurred but only by a few minutes.

Version-Release number of selected component (if applicable):
kernel 2.6.11-1.1369 SMP and kernel 2.6.12-1.1456 SMP

How reproducible:

Steps to Reproduce:
1.Boot with SMP kernel and log into KDE desktop and use for a few minutes.

Actual Results:  See above.

Additional info:

This problem clearly seems related to Using the SMP kernels. I could not narrow the issue to any particular application. System would boot up normally and pass startup procedures fine. Installation went smoothly and as mentioned above the non SMP kernel seems to work ok.
Comment 1 Dave Jones 2005-09-30 03:03:13 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 2 Dave Jones 2005-11-10 15:08:55 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Dave Jones 2006-02-03 00:59:54 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 21:37:13 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.